from setuptools import setup, find_packages
import os

def read_requirements():
    """requirements.txt dosyasını okur ve bağımlılıkları döner."""
    with open('requirements.txt') as f:
        return f.read().splitlines()

setup(
    name='Smtry',  # Modülün adı
    version='1.0.8',
    packages=find_packages(),  # Proje kök dizininde bulunan tüm paketleri bulur
    package_data={
        'smtry': ['S6.py'],  # Şifreli dosyaları dahil edin (doğru yolu kontrol edin)
    },
    include_package_data=True,
    install_requires=read_requirements(),  # Gerekli bağımlılıkları belirtin
)


